<template>
  <div class="sw-gs-product-listing">
    <slot/>
  </div>
</template>

<script lang="ts">
  export default {
    name: "SwGsProductListing"
  }
</script>

<style lang="scss" scoped>
  @import "@/cms/settings.scss";
  @import "../assets/scss/mixins/mediaQueries";
 
  // max photo width
  $mx-photo-wth-5: 20%;
  $mx-photo-wth-4: 25%;
  $mx-photo-wth-3: 33%;
  $mx-photo-wth-2: 50%;
  $mx-photo-wth-1: 100%;

  // GS: class needed to be changed because of new wrapper element
  .sw-gs-product-listing {
    ::v-deep .cms-element-product-listing__list {
      margin-top: 60px;
    }

    ::v-deep .cms-element-product-listing__product-card {
      display: block !important;
      max-width: $mx-photo-wth-1;
      padding: 0; // padding on the col elements messes up the wrapping

      .sf-product-card {
        padding: var(--spacer-xs);
        max-width: none !important;
      }

      @include for-phone {
        max-width: $mx-photo-wth-2;
      }

      @include for-tablet-small {
        max-width: $mx-photo-wth-3;
      }

      @include for-tablet {
        max-width: $mx-photo-wth-3;
      }

      @include for-desktop-small {
        max-width: $mx-photo-wth-4;
      }

      @include for-desktop {
        max-width: $mx-photo-wth-4;
      }

      @include for-desktop-big {
        max-width: $mx-photo-wth-5;
      }
    }
  }
</style>
